$  Copyright (C) 1999 Sun Microsystems, Inc.

$ * netlbtest message file.

$ #pragma ident	"@(#)netlbtest.msg  1.5  01/10/01  SMI"


$ * VERBOSE 1
$ * INFO 2000
$ * WARNING 4000
$ * ERROR 6000
$ * FATAL 8000


$ VERBOSE
$ V_KRNL_MSG
1		"Message received from VTS kernel: type %d %s"
$ V_TESTSTART
2		"%s: Started."
$ V_FRMCNT
3		"pkt count = %d"
$ V_TESTEND
4		"Transmitted %d pkts, received (correctly) %d pkts"

$ V_LB_TYPE
5 		"Running %s loopback test."


$ INFO
$I_USG_MSG
2000		"%s specific arguments:\n\
		dev    = <device>, specify device to be tested, e.g., ge0\n\
		tpkts  = [1...100000],total number of pkts to send\n\
		pksz   = [60,1514]packet size\n\
		lb     = [Internal or External], internal loopback mode or external loopback mode\n\
		timeout  = [1...1000], time waited (in seconds) for a packet to be received\n"

$I_TYPE_MSG
2001            "Running %s %s loopback test:\n"
$I_REG_VALUE
2002            "Reg 0x%x = 0x%04X;"


$ WARNING
$W_TESTSTOP
4000		"Due to the receive timeout, no further pkts will be transmitted"

$W_LIVESYSTEM
4002    	"%s is on a live network. Not to run netlbtest"  Recommended_Action(s): <Bring down with ifconfig command>

$W_INST
4003		"Can't set loopback mode on device %s. Probable_Cause(s): <There are more than one instances running on the same device.> Recommended_Action(s): <Reduce number of instances to 1 instance per device.>


$ERROR

$E_RXTIMEOUT
6000   "timed out for receiving pkt number %d." Probable_Cause(s): <Device and/or Driver not configured properly.> Recommended_Action(s): <Configure device/driver as per requirements.> <Check loopback cable.> <If the problem persists, call your authorized Sun service provider.>

$E_POLLFAIL
6001   "%s." Probable_Cause(s): <System may have run out of memory.> Recommended_Action(s): <Reduce the number of processes currently executing.> <Increase system memory.>


$E_PKT
6002   "Data mismatch between transmitted and received pkt %d." Probable_Cause(s): <Link Loss.> <CRC Error.> <Alignment Error.> Recommended_Action(s): <If the frequency of errors is large, call your authorized Sun service provider.>


$ FATAL

$F_OPEN
8000   "Can't open device %s, errmsg = %s." Probable_Cause(s): <Wrong device name specified.> <Device not present.> Recommended_Action(s):<Check device name.> <Check for card.>

$F_NOMEM
8001    "Memory Allocation Failure." Probable_Cause(s): <System ran out of memory.> Recommended_Action(s): <Reduce the number of processes currently executing.> <Increase system memory.>

$F_ENXIO
8002    "No device found." Probable_Cause(s): <Wrong device name specified.> <Device is not installed.> Recommended_Action(s): <Check device name.> <Install device.>

$F_NOLINK
8003    "Failed to get the link up. Probable_Cause(s): <Loopback cable not connected.> <Faulty loopback cable.> Recommended_Action(s): <Check and replace, if necessary, the loopback cable.> <If problem persists, call your authorized Sun service provider.> 

$F_TXFAIL
8004    "Transmit failed, errmsg = %s." Probable_Cause(s): <STREAMS was unable to accept more data, perhaps due to insufficient STREAMS memory resources.> Recommended_Action(s): <Reduce the system load.>

$F_RXFAIL
8005    "Receive failed for pkt number %d, errmsg = %s." Recommended_Action(s): <Try again, if the problem persists, call your authorized Sun service provider.>

$F_ATTACH
8006	"Attach failed for device %s." Probable_Cause(s): <Wrong Instance number %s specified.> Recommended_Action(s): <Specify correct instance number.>

$F_BIND
8007	"DLPI bind failed for device %s." Probable_Cause(s): <Wrong Instance number %s specified.> Recommended_Action(s): <Specify correct instance number.>

$F_NO_LB
8008	"The device driver does not support loopback interface." Recommended_Action(s): <Check device driver SW version.> <Try again, if the problem persists, call your authorized Sun service provider.>

$F_TOMANYINST
8009		"Can't set loopback mode on device %s. Probable_Cause(s): <There are more than one instances running on the same device.> Recommended_Action(s): <Reduce number of instances to 1 instance per device.>

$ 
10001 "ethertest probe: Failed to open NETLBCONFFILE."

